%define up_name	DisplayCAL

Name:		displaycal
Version:	3.1.0.0
Release:	%mkrel 1
Summary:	A graphical user interface for the Argyll CMS display calibration utilities
Group: 		Graphics/Utilities
License:	GPLv3
URL:		http://displaycal.net/
Source0:	https://sourceforge.net/projects/dispcalgui/files/release/%{version}/%{up_name}-%{version}.tar.gz
Patch0:		displaycal-3.1.0.0-udev-dir.patch
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	wxPythonGTK
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(xxf86vm)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:	wxPythonGTK
Requires:	argyllcms
Requires:	python-setuptools
Requires:	python-gi
Requires:	python-numpy

Provides:	%{up_name} = %{version}-%{release}
Provides:	dispcalGUI = %{version}-%{release}
Obsoletes:	dispcalGUI < 1.2.7.0-10

%description
A graphical user interface for the Argyll CMS display calibration utilities.

%files
%doc %{_docdir}/%{up_name}-%{version}/LICENSE.txt
%doc %{_docdir}/%{up_name}-%{version}/README.html
%doc %{_docdir}/%{up_name}-%{version}/screenshots
%doc %{_docdir}/%{up_name}-%{version}/theme
%{_udevrulesdir}/45-Argyll.rules
%{_bindir}/*
%{_datadir}/%{up_name}/
%{_iconsdir}/hicolor/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{up_name}.appdata.xml
%{_sysconfdir}/xdg/autostart/z-displaycal-apply-profiles.desktop
%{python_sitearch}/%{up_name}/
%{python_sitearch}/%{up_name}-%{version}-py%{pyver}.egg-info
%{_mandir}/man1/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{up_name}-%{version}
%apply_patches

%build
%{__python} setup.py build  

%install
%{__python} setup.py install --no-compile --prefix=%{_prefix} --root=%{buildroot} --skip-build --skip-postinstall



%changelog
* Wed Feb 24 2016 daviddavid <daviddavid> 3.1.0.0-1.mga5
+ Revision: 977831
- new version: 3.1.0.0 (fixes mga#17648)
- new upstream URL and Source URL
- rename and rediff udev-dir patch
- use new python macros
- requires python-numpy
- obsoletes/provides old upstream name on dispcalGUI
- update files list
- move to new upstream name on displaycal

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7.0-8.mga5
+ Revision: 744682
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.7.0-7.mga5
+ Revision: 726130
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7.0-6.mga5
+ Revision: 678756
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 1.2.7.0-5.mga5
+ Revision: 628160
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 1.2.7.0-4.mga4
+ Revision: 548862
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 1.2.7.0-3.mga4
+ Revision: 542551
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.2.7.0-2.mga4
+ Revision: 497727
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 31 2013 fwang <fwang> 1.2.7.0-1.mga4
+ Revision: 461407
- update file list
- new version 1.2.7.0

* Sun Feb 10 2013 neoclust <neoclust> 0.8.9.3-1.mga3
+ Revision: 397779
- imported package dispcalGUI

